NI-XNET 17.0.1 1 Ratings | 1.00 out of 5 |   Print

Available Downloads:

Updates and Notifications:
Critical Updates and Security Notifications are posted on ni.com. Before downloading, click here to review this information.
Supporting Files:

Download Language: English; German; Japanese

Product Line: CAN

Version: 17.0.1

Release date: 05-23-2017

Software type: Driver

Operating system: PharLap; NI Linux Real Time; VxWorks; Windows 10; Windows 8.1; Windows 7; Windows Server 2012 R2 64-bit; Windows Server 2008 R2 64-bit

Description

Supported Platforms

Supported Operating Systems

You can install and run this version of the NI-XNET software on the following operating systems:

  • Windows 10
  • Windows 8.11
  • Windows 7 SP12
  • Windows Server 2012 R21
  • Windows Server 2008 R2 SP12

1 NI software installs VC2015 Runtime and .NET 4.6.1. Windows 8.1 and Windows Server 2012 R2 require Microsoft updates to support these items. Refer to Microsoft KB2919442 and KB2919355 for more information about how to install these updates.

2 NI software is signed with a SHA-256 certificate. Windows 7 SP1, Windows Embedded Standard 7 SP1, and Windows Server 2008 R2 SP1 require Microsoft updates to support SHA-256. Refer to Microsoft KB3033929 for more information about how to install this security update.

The NI-XNET installer does not support Windows Server 2003/NT/Vista/XP/Me/2000/98/95 or the Windows Server non-R2 editions.

NI-XNET does not support guest accounts on Windows 7. You must log into an administrative or user account to use NI-XNET on these operating systems.

Back to Top

Supported Hardware

This version of the NI-XNET software supports the following National Instruments hardware products on Windows and LabVIEW RT:

  • NI PCI-8511 (Low-Speed/Fault-Tolerant CAN)
  • NI PCI-8512 (High-Speed CAN)
  • NI PCI-8513 (Software-Selectable HS/LS/SW CAN)
  • NI PCI-8516 (LIN)
  • NI PCI-8517 (FlexRay)
  • NI PXI-8511 (Low-Speed/Fault-Tolerant CAN)
  • NI PXI-8512 (High-Speed CAN)
  • NI PXI-8513 (Software-Selectable HS/LS/SW CAN)
  • NI PXI-8516 (LIN)
  • NI PXI-8517 (FlexRay)
  • NI PXIe-8510 (Hardware-Selectable)
  • NI PCIe-8510 (Hardware-Selectable)
  • C Series modules:
    • NI 9861 (C Series Low-Speed CAN)
    • NI 9862 (C Series High-Speed CAN)
    • NI 9866 (C Series LIN)
    • NI 9860 (C Series XNET)

      Supported platforms for XNET C Series modules:
      • CompactDAQ—NI-DAQmx 9.6 (or newer) is required for:
        • USB Chassis: NI cDAQ-9171, NI cDAQ-9174, and NI cDAQ-9178
        • Ethernet Chassis: NI cDAQ-9181, NI cDAQ-9184, and NI cDAQ-9188
        • Wireless Chassis: NI cDAQ-9191
        • cDAQ Controller: NI cDAQ-9138 (Windows and RT) and NI cDAQ-9139 (Windows and RT)
      • CompactDAQ—NI-DAQmx 14.0 (or newer) is required for:
        • cDAQ Controller: NI cDAQ-9134 (Windows)
      • CompactDAQ—NI-DAQmx 14.1 (or newer) is required for:
        • cDAQ Controller: NI cDAQ-9134 (RT)
      • CompactDAQ—NI-DAQmx 14.5 (or newer) is required for:
        • cDAQ Controller: NI cDAQ-9135
      • CompactDAQ—NI-DAQmx 15.1 (or newer) is required for:
        • USB Chassis: NI cDAQ-9179
        • cDAQ Controller: NI cDAQ 9136/37
      • CompactRIO—NI Compact RIO 16.0 (or newer) and LabVIEW 2013 SP1 (or newer) are required for the following targets:
        • Real-Time Controller: NI cRIO-9012, NI cRIO-9014, NI cRIO-9022, NI cRIO-9023, NI cRIO-9024, and NI cRIO-9025
        • CompactRIO Reconfigurable Chassis: NI cRIO-9111, NI cRIO-9112, NI cRIO-9113, NI cRIO-9114, NI cRIO-9116, and NI cRIO-9118
        • LabVIEW FPGA 2013 SP1 (or newer) is required to build and deploy a bitstream with NI 986x modules in the project.
        • Integrated CompactRIO Real-Time Controller: NI cRIO-9081, NI cRIO-9082, and NI cRIO-906x
        • LabVIEW FPGA 2013 (or newer) is required to build and deploy a bitstream with NI 986x modules in the project.
      • CompactRIO—NI Compact RIO 16.0 (or newer) and LabVIEW 2014 (or newer) are required for the following targets:
        • Integrated CompactRIO Real-Time Controller: NI cRIO-903x
        • LabVIEW FPGA 2014 (or newer) is required to build and deploy a bitstream with NI 986x modules in the project.
      • CompactRIO—NI Compact RIO 16.0 (or newer) and LabVIEW 2015 (or newer) are required for the following targets:
        • Single-Board RIO: NI sbRIO-9627, NI sbRIO-9607
        • LabVIEW FPGA 2015 (or newer) is required to build and deploy a bitstream with NI 986x modules in the project.
        • CompactRIO Real-Time Controller: NI cRIO-9032, NI cRIO-9037
        • When using NI Compact RIO 16.0 (or newer) with NI cRIO-903x or NI cRIO-906x, a bitstream is not needed with NI 986x modules in the project.
      • CompactRIO—NI Compact RIO 16.0 (or newer) and LabVIEW 2016 (or newer) are required for the following targets:
        • CompactRIO Real-Time Controller: cRIO-9035 (Sync), cRIO-9039 (Sync)

    The NI-XNET software supports only National Instruments CAN, FlexRay, and LIN hardware products. For information about software for CAN products from other vendors, refer to the documentation you received with those products.

    Supported Development Environments

    This version of the NI-XNET software supports the following development environments:

    • LabVIEW 2014, 2015, 2016, and 2017
    • LabVIEW Real-Time (RT) 2014, 2015, 2016, and 2017
    • LabWindows/CVI 2012 and higher
    • Microsoft Visual C/C++ 6.0

Installation Instructions

The NI-XNET installer is packaged as a self-extracting archive that will automatically launch the driver installer. By default, files are extracted to C:\National Instruments Downloads\NI-XNET\17.0.1

Perform the following steps to install NI-XNET:

  1. Download and run the self-extracting executable NIXNET1701.exe. This will install NI-XNET 17.0.1 and all necessary driver files.

Supported hardware

The following devices are supported for use with this download:

  • NI 9860
  • NI 9861
  • NI 9862
  • NI 9866
  • NI PCI-8517 FlexRay2
  • NI PXI-8516 LIN/2
  • NI PXI-8517 FlexRay2
  • PCI-8511
  • PCI-8511/2
  • PCI-8512
  • PCI-8512/2
  • PCI-8513
  • PCI-8513/2
  • PCI-8516/2
  • PCIe-8510
  • PXI-8511
  • PXI-8511/2
  • PXI-8512
  • PXI-8512 CAN/HS2
  • PXI-8512/2
  • PXI-8513
  • PXI-8513/2
  • PXIe-8510
  • USB-8502
  • USB-8506
  • cDAQ-9132
  • cDAQ-9133
  • cDAQ-9134
  • cDAQ-9135
  • cDAQ-9136
  • cDAQ-9137
  • cDAQ-9138
  • cDAQ-9139
  • cDAQ-9171
  • cDAQ-9174
  • cDAQ-9178
  • cDAQ-9181
  • cDAQ-9184
  • cDAQ-9188
  • cDAQ-9191
  • cRIO-9012
  • cRIO-9014
  • cRIO-9022
  • cRIO-9023
  • cRIO-9024
  • cRIO-9025
  • cRIO-9030
  • cRIO-9031
  • cRIO-9032
  • cRIO-9033
  • cRIO-9034
  • cRIO-9035
  • cRIO-9036
  • cRIO-9037
  • cRIO-9038
  • cRIO-9039
  • cRIO-9063
  • cRIO-9064
  • cRIO-9065
  • cRIO-9066
  • cRIO-9067
  • cRIO-9068
  • cRIO-9081
  • cRIO-9082
  • cRIO-9111
  • cRIO-9112
  • cRIO-9113
  • cRIO-9114
  • cRIO-9116
  • cRIO-9118
  • sbRIO-9607
  • sbRIO-9627

Your Feedback

Rate this document

Answered Your Question?
Yes No

Submit